OpenNMS API 1.2.9

## org.opennms.netmgt.config.users
Class User

    java.lang.Object
      org.opennms.netmgt.config.users.User

All Implemented Interfaces:
  java.io.Serializable

public class User
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_contactList`
`private java.util.ArrayList` `_dutyScheduleList`
`private java.lang.String` `_fullName`
`private java.lang.String` `_password`
`private java.lang.String` `_userComments`
`private java.lang.String` `_userId`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`User()`

Method Summary
`void` `addContact(Contact vContact)`
`void` `addContact(int index, Contact vContact)`
`void` `addDutySchedule(int index, java.lang.String vDutySchedule)`
`void` `addDutySchedule(java.lang.String vDutySchedule)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearContact()`
`void` `clearDutySchedule()`
`java.util.Enumeration` `enumerateContact()`
`java.util.Enumeration` `enumerateDutySchedule()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Contact[]` `getContact()`
`Contact` `getContact(int index)`
`java.util.Collection` `getContactCollection()`
`int` `getContactCount()`
`java.lang.String[]` `getDutySchedule()`
`java.lang.String` `getDutySchedule(int index)`
`java.util.Collection` `getDutyScheduleCollection()`
`int` `getDutyScheduleCount()`
`java.lang.String` `getFullName()` Returns the value of field 'fullName'.
`java.lang.String` `getPassword()` Returns the value of field 'password'.
`java.lang.String` `getUserComments()` Returns the value of field 'userComments'.
`java.lang.String` `getUserId()` Returns the value of field 'userId'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeContact(Contact vContact)`
`boolean` `removeDutySchedule(java.lang.String vDutySchedule)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setContact(Contact[] contactArray)`
`void` `setContact(int index, Contact vContact)`
`void` `setContactCollection(java.util.Collection vContact)`
`void` `setDutySchedule(int index, java.lang.String vDutySchedule)`
`void` `setDutySchedule(java.lang.String[] dutyScheduleArray)`
`void` `setDutyScheduleCollection(java.util.Collection vDutySchedule)`
`void` `setFullName(java.lang.String fullName)` Sets the value of field 'fullName'.
`void` `setPassword(java.lang.String password)` Sets the value of field 'password'.
`void` `setUserComments(java.lang.String userComments)` Sets the value of field 'userComments'.
`void` `setUserId(java.lang.String userId)` Sets the value of field 'userId'.
`static User` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _userId

    private java.lang.String _userId

### _fullName

    private java.lang.String _fullName

### _userComments

    private java.lang.String _userComments

### _password

    private java.lang.String _password

### _contactList

    private java.util.ArrayList _contactList

### _dutyScheduleList

    private java.util.ArrayList _dutyScheduleList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### User

    public User()

Method Detail

### addContact

    public void addContact(Contact vContact)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vContact` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addContact

    public void addContact(int index,
                           Contact vContact)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vContact` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addDutySchedule

    public void addDutySchedule(java.lang.String vDutySchedule)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vDutySchedule` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addDutySchedule

    public void addDutySchedule(int index,
                                java.lang.String vDutySchedule)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vDutySchedule` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearContact

    public void clearContact()

### clearDutySchedule

    public void clearDutySchedule()

### enumerateContact

    public java.util.Enumeration enumerateContact()

### enumerateDutySchedule

    public java.util.Enumeration enumerateDutySchedule()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getContact

    public Contact getContact(int index)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getContact

    public Contact[] getContact()

### getContactCollection

    public java.util.Collection getContactCollection()

### getContactCount

    public int getContactCount()

### getDutySchedule

    public java.lang.String getDutySchedule(int index)
                                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getDutySchedule

    public java.lang.String[] getDutySchedule()

### getDutyScheduleCollection

    public java.util.Collection getDutyScheduleCollection()

### getDutyScheduleCount

    public int getDutyScheduleCount()

### getFullName

    public java.lang.String getFullName()

  Returns the value of field 'fullName'.

  Returns:
    the value of field 'fullName'.

### getPassword

    public java.lang.String getPassword()

  Returns the value of field 'password'.

  Returns:
    the value of field 'password'.

### getUserComments

    public java.lang.String getUserComments()

  Returns the value of field 'userComments'.

  Returns:
    the value of field 'userComments'.

### getUserId

    public java.lang.String getUserId()

  Returns the value of field 'userId'.

  Returns:
    the value of field 'userId'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeContact

    public boolean removeContact(Contact vContact)

  Parameters:
    `vContact` -

### removeDutySchedule

    public boolean removeDutySchedule(java.lang.String vDutySchedule)

  Parameters:
    `vDutySchedule` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setContact

    public void setContact(int index,
                           Contact vContact)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vContact` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setContact

    public void setContact(Contact[] contactArray)

  Parameters:
    `contactArray` -

### setContactCollection

    public void setContactCollection(java.util.Collection vContact)

  Parameters:
    `vContact` -

### setDutySchedule

    public void setDutySchedule(int index,
                                java.lang.String vDutySchedule)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vDutySchedule` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setDutySchedule

    public void setDutySchedule(java.lang.String[] dutyScheduleArray)

  Parameters:
    `dutyScheduleArray` -

### setDutyScheduleCollection

    public void setDutyScheduleCollection(java.util.Collection vDutySchedule)

  Parameters:
    `vDutySchedule` -

### setFullName

    public void setFullName(java.lang.String fullName)

  Sets the value of field 'fullName'.

  Parameters:
    `fullName` - the value of field 'fullName'.

### setPassword

    public void setPassword(java.lang.String password)

  Sets the value of field 'password'.

  Parameters:
    `password` - the value of field 'password'.

### setUserComments

    public void setUserComments(java.lang.String userComments)

  Sets the value of field 'userComments'.

  Parameters:
    `userComments` - the value of field 'userComments'.

### setUserId

    public void setUserId(java.lang.String userId)

  Sets the value of field 'userId'.

  Parameters:
    `userId` - the value of field 'userId'.

### unmarshal

    public static User unmarshal(java.io.Reader reader)
                          throws org.exolab.castor.xml.MarshalException,
                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.